public class FabricaSucursales{
    protected Robot[][] C;
    
    public FabricaSucursales(int cantSuc, int cantSec){
        C = new Robot[cantSuc][cantSec];
    }
    
    //<<Comandos>>
    public void establecerRobot(Robot r, int sucursal, int sector){
        C[sucursal-1][sector-1]=r;
    }
    //<<Consultas>>
    
    public Robot obtenerRobot(int sucursal, int sector){
        return C[sucursal-1][sector-1];
    }
    
    /**
     * @todo
     *      - robotsSinVU():FabricaSucursales
     *      - cantAutos(suc:entero):entero
     *      - cantAutos():entero
     */
    

   
    
    public String toString(){
        String cad = new String();
        for(int suc=0;suc<C.length; suc++){
            for(int sec=0; sec<C[0].length;sec++)
                if (C[suc][sec]!=null)
                    cad+= "<ID: "+C[suc][sec].obtenerNroSerie()+" VU: "+C[suc][sec].vidaUtil()+" CA: "+C[suc][sec].cantAutos()+">,";
                else
                    cad+= "none,";
            cad = cad.substring(0,cad.length()-1)+"\n";
        }
        return cad;
    }


}