public class Tester
{
    public static void main(String args[])
    {
        //---- Se crea una fabrica con capacidad para 10 robots ------
        Fabrica fabrica = new Fabrica(10);
        Fabrica otraFabrica = new Fabrica(10);
        
        Robot r;
        
        //---- Robot #1 --------------------------------
        r = new Robot(1);
        for (int i=0; i<3; i++) {
            // Se simula el armado de autos para gastar energia y componentes
            r.armarAuto();
        }
        // Se asigna el Robot #1 a la fabrica
        fabrica.asignar(r);
        otraFabrica.asignar(r);
        
        //---- Robot #2 --------------------------------
        r = new RobotAlfa(2);
        for (int i=0; i<2; i++) {
            // Se simula el armado de autos para gastar energia y componentes
            r.armarAuto();
        }
        // Se asigna el Robot #2 a la fabrica
        fabrica.asignar(r);
        otraFabrica.asignar(r);
        
        /**
         * @todo: 
         *  + Crear mas robots (algunos de clase RobotBeta), hacerlos consumir energia de acuerdo al caso de prueba definido
         *    y asignarlos a la fabrica y probar los metodos:
         *      - desasignar(r: Robot)
         *      - existenNRobotsVU(n: int, vu: int): boolean
         *  + Crear otra fabrica para poder probar:
         *      - equals(otra: Fabrica): boolean
         *    Tener en cuenta a la hora de armar el caso de prueba en este punto que la comparacion es por identidad!
         */
        
       
        
        
    }
    
    public static void mostrarFabrica(Fabrica fabrica)
    {
        for (int i = 0; i < fabrica.capacidadOcupada(); i++) {
            System.out.print("[ " + i + " ] => ");
            System.out.println(fabrica.robotEnPosicion(i).toString());  
        }
        
        for (int i = fabrica.capacidadOcupada(); i < fabrica.capacidadTotal(); i++) {
            System.out.print("[ " + i + " ] => ");
            System.out.println("-- Vacio --");
        }
    }
}